[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# IsValidTime

Check whether a set of values is a valid time indication.

## Declaration

Source position: dateutil.inc line 86

`function IsValidTime(`
`const AHour: Word;`
`const AMinute: Word;`
`const ASecond: Word;`
`const AMilliSecond: Word`
`):Boolean;`

## Arguments

`AHour` |  | Hour of the day.
`AMinute` |  | Minute in the hour
`ASecond` |  | Second in the minute
`AMilliSecond` |  | Milliseconds in the second

## Function result

IsValidTime returns True when the values AHour, AMinute, ASecond and AMilliSecond form a valid time indication. If one of the values is not valid (e.g. the seconds are larger than 60), False is returned.

Documentation generated on: Feb 26 2014